#####################
## MachineLearning ##
#####################
%package sub1-domain_API-MachineLearning
Summary: Machine Learning API Group
Requires: %{name}-sub2-domain_API-MachineLearning-NNStreamer
Suggests: %{name}-sub2-domain_API-MachineLearning-NNTrainer
Suggests: %{name}-sub2-domain_API-MachineLearning-Service
%description sub1-domain_API-MachineLearning
Tizen block (set of packages) for Group of domain API-Machine-Learning
%files sub1-domain_API-MachineLearning

%package sub2-domain_API-MachineLearning-NNStreamer
Summary: NNStreamer and its API
Requires: nnstreamer
Requires: nnstreamer-tensorflow-lite
Requires: nnstreamer-tensorflow2-lite
Requires: nnstreamer-nnfw
Requires: capi-machine-learning-inference
Requires: nnstreamer-flatbuf
Requires: nnstreamer-protobuf
Requires: nnstreamer-edge
Requires: machine-learning-agent
%ifarch x86_64 aarch64
Suggests: nnstreamer-tensorflow
Suggests: nnstreamer-edgetpu
%endif
%ifarch %arm aarch64
Suggests: nnstreamer-armnn
%endif
Suggests: nnstreamer-ncsdk2
Suggests: nnstreamer-tizen-sensor
%description sub2-domain_API-MachineLearning-NNStreamer
NNStreamer is a set of Gstreamer plugins that allow Gstreamer developers
to adopt neural network models easily and efficiently and neural network developers
to manage stream pipelines and their filters easily and efficiently.
%files sub2-domain_API-MachineLearning-NNStreamer
%posttrans sub2-domain_API-MachineLearning-NNStreamer
%tizen_feature tizen.org/feature/machine_learning true
%tizen_feature tizen.org/feature/machine_learning.inference true


%package sub2-domain_API-MachineLearning-NNTrainer
Summary: NNTrainer and its API
Requires: nntrainer
Requires: capi-machine-learning-training
%description sub2-domain_API-MachineLearning-NNTrainer
The NNTrainer API provides interfaces to create and train Machine
Learning models on the device locally.
%files sub2-domain_API-MachineLearning-NNTrainer
%posttrans sub2-domain_API-MachineLearning-NNTrainer
%tizen_feature tizen.org/feature/machine_learning.training true

%package sub2-domain_API-MachineLearning-Service
Summary: Machine Service and its API
Requires: capi-machine-learning-service
%description sub2-domain_API-MachineLearning-Service
With ML Service APIs, users may register intelligence pipelines for other processes
and fetch such registered pipelines.
%files sub2-domain_API-MachineLearning-Service
%posttrans sub2-domain_API-MachineLearning-Service
%tizen_feature tizen.org/feature/machine_learning.service true
