# Maintainer: Tizen Kernel
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.

############################
## Tizen Resource Monitor ##
############################
%package sub1-domain_Feature-Resource_Monitor
Summary: Tizen Resource Monitor
Requires: libpass-resource-monitor
Requires: %{name}-sub1-domain_Feature-Power_manager

%description sub1-domain_Feature-Resource_Monitor
Tizen block (set of packages) for supporting resource monitoring of Tizen.<br>
Resource Monitor features provides the unified resource monitoring service<br>
to monitor the physical and logical resources such as CPU/GPU/Memory<br>
Bus/Memory/Display/Battery/PROCESS/PROCESS_GROUP and so on.<br>
<br>
Each resource<br> has the resource attributes like CPU_ATTR_CUR_FREQ<br>
(current cpu frequency), GPU_ATTR_MIN_FREQ (minimum gpu frequency),<br>
DISPLAY_ATTR_FPS (display frame per second) and so on.<br>
The client of resource monitor can make the any monitoring<br>
set according to their own requirement. For exmaple, the client might <br>
want to monitor the CPU/GPU/Display and Process (like enlightenment).<br>
Resource Monitor collects the required monitoring dataset and then<br>
provide them to client.<br>

%files sub1-domain_Feature-Resource_Monitor
