# Maintainer: Tizen IoT PM
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.

############################
### Preset for Partition ###
############################
%package root-Preset_partition
Summary:    Partition Presets
Suggests:	%{name}-sub1-Preset_partition-2parts_ramdisk_recovery
Suggests:	%{name}-sub1-Preset_partition-2parts_ramdisk_recovery_artik
Suggests:	%{name}-sub1-Preset_partition-2parts_ramdisk_recovery_btrfs
Suggests:	%{name}-sub1-Preset_partition-3parts_ramdisk
Suggests:	%{name}-sub1-Preset_partition-3parts_ramdisk_recovery
Suggests:	%{name}-sub1-Preset_partition-3parts_ramdisk_recovery_artik
Suggests:	%{name}-sub1-Preset_partition-3parts_ramdisk_recovery_btrfs

%description root-Preset_partition
__EXPAND__: preset
The Supported Partions.
%files root-Preset_partition


#########################################
### 2 Parts with ramdisk and recovery ###
#########################################
%package sub1-Preset_partition-2parts_ramdisk_recovery
Summary:    Partition 2 with ramdisk and recovery
Requires:	system-plugin-config-2parts

Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_btrfs
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_btrfs

%description sub1-Preset_partition-2parts_ramdisk_recovery
__PARTITION__: common-2parts-ramdisk-recovery
part '\' , '\opt', '\mnt\initrd', '\mnt\initrd-recovery'
%files sub1-Preset_partition-2parts_ramdisk_recovery


%package sub1-Preset_partition-2parts_ramdisk_recovery_artik
Summary:    Partition 2 with ramdisk and recovery for the artik device
Requires:	system-plugin-config-2parts

Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_btrfs
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_btrfs

%description sub1-Preset_partition-2parts_ramdisk_recovery_artik
__PARTITION__: common-mbr-2parts-artik530_710-ramdisk-recovery
part '\' , '\opt', '\mnt\initrd', '\mnt\initrd-recovery'
%files sub1-Preset_partition-2parts_ramdisk_recovery_artik


%package sub1-Preset_partition-2parts_ramdisk_recovery_btrfs
Summary:    Partition 2 with ramdisk and recovery which uses the btrfs file system
Requires:	system-plugin-config-2parts

Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_btrfs

%description sub1-Preset_partition-2parts_ramdisk_recovery_btrfs
__PARTITION__: btrfs-rootfs-2parts-ramdisk-recovery
part '\' , '\opt', '\mnt\initrd', '\mnt\initrd-recovery'
%files sub1-Preset_partition-2parts_ramdisk_recovery_btrfs

#########################################
### 3 Parts with ramdisk and recovery ###
#########################################
%package sub1-Preset_partition-3parts_ramdisk_recovery
Summary:    Partition 3 with ramdisk and recovery
Requires:	system-plugin-config-3parts

Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_btrfs
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_btrfs

%description sub1-Preset_partition-3parts_ramdisk_recovery
__PARTITION__: common-3parts-ramdisk-recovery
part '\' , '\opt', '\opt\usr', '\mnt\initrd', '\mnt\initrd-recovery'
%files sub1-Preset_partition-3parts_ramdisk_recovery


%package sub1-Preset_partition-3parts_ramdisk_recovery_artik
Summary:    Partition 3 with ramdisk and recovery for the artik device
Requires:	system-plugin-config-3parts

Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_btrfs
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_btrfs

%description sub1-Preset_partition-3parts_ramdisk_recovery_artik
__PARTITION__: common-3parts-artik530_710-ramdisk-recovery
part '\' , '\opt', '\opt\usr', '\mnt\initrd', '\mnt\initrd-recovery'
%files sub1-Preset_partition-3parts_ramdisk_recovery_artik

%package sub1-Preset_partition-3parts_ramdisk_recovery_btrfs
Summary:    Partition 3 with ramdisk and recovery which uses the btrfs file system
Requires:	system-plugin-config-3parts

Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_btrfs
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_artik

%description sub1-Preset_partition-3parts_ramdisk_recovery_btrfs
__PARTITION__: btrfs-rootfs-3parts-ramdisk-recovery
part '\' , '\opt', '\opt\usr', '\mnt\initrd', '\mnt\initrd-recovery'
%files sub1-Preset_partition-3parts_ramdisk_recovery_btrfs

############################
### 3 Parts with ramdisk ###
############################
%package sub1-Preset_partition-3parts_ramdisk
Summary:    Partition 3 with ramdisk
Requires:	system-plugin-config-3parts

Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-2parts_ramdisk_recovery_btrfs
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_artik
Conflicts: %{name}-sub1-Preset_partition-3parts_ramdisk_recovery_btrfs

%description sub1-Preset_partition-3parts_ramdisk
__PARTITION__: common-3parts-ramdisk
part "\" , "\opt", "\opt\usr", "\mnt\initrd"
%files sub1-Preset_partition-3parts_ramdisk
